#pragma once

// Contains our (many) enums used for AI wars.

enum GameState {
	GS_INGAME,
	GS_GAMEOVER,
};

enum GFXmode {
	GFXMODE_INVALID		= -1,
	GFXMODE_FULLSCREEN	= 0,
	GFXMODE_WINDOW		= 2,
};

enum Team {
	TEAM_RED,
	TEAM_BLUE,
	TEAM_GREEN,
	TEAM_YELLOW,
	TEAM_NONE
};

enum EntityState {
	STATE_ORDERS,
	STATE_ENEMYCONTACT,
	STATE_MOVINGTOLOCALORDER,
	STATE_LOADINGWEAPON,
	STATE_DEAD
};

enum ParticleType {
	PT_SQUARE,
	PT_LINE,
};

enum SoldierType {
	SOLDIER_ANY,
	SOLDIER_GRUNT,
	SOLDIER_SNIPER,
};

enum Direction {
	DIR_UPLEFT,
	DIR_UP,
	DIR_UPRIGHT,
	DIR_RIGHT,
	DIR_DOWNRIGHT,
	DIR_DOWN,
	DIR_DOWNLEFT,
	DIR_LEFT,
	DIR_NONE,
};

enum RenderType {
	RT_ENTITY,
	RT_PARTICLE,
	RT_BASE,
};

enum LocalOrderType {
	LO_NONE,
	LO_EXPLORING,
	LO_ATTACKED,
};